HomeProduct DocsAPI ReferenceChangelog
RecurlyAPI GuidesRecurly.jsWebhooksAPI ReferenceSupportBook demo
API Reference

Update Account's Billing Info (Token)

Updates an account's Billing Information using a token generated by Recurly.js. Returns the account's current Billing Information.

Recurly.js allows you to collect customer Billing Information and tokenize it, preventing your servers from having to handle credit card information. When you send these tokens to Recurly through our API, we unpack the token and update Billing Information accordingly.

When Billing Information is updated, it is only saved if valid. If the account has a past due invoice, the outstanding balance will be collected to validate the Billing Information.

If you want to create an account at the same time, you should use the Account API end-point instead and include billing info with your request.

PSD2 and 3DS Authentication

PSD2 is a regulation from the EEA effective September 2019. It requires 3DS / SCA (strong customer authentication) on certain transactions. Recurly has updated our gateway integrations to support this flow as well as enable merchants to send Recurly the required parameters.This feature enables the fetching of ThreeDSecureActionToken and the passing of a ThreeDSecureActionResultToken id through the API.

This change was made to facilitate the flow of information needed to 3D secure a transaction for transactions requiring SCA.

Merchants with an acquiring bank in the EEA must comply with SCA. They must support 3DS2 in order to authenticate card holders and send authorizations for transactions that were subject to SCA.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Account's unique code.

string
required

Billing info's uuid

Body Params
string
required
string

Currency in which invoices will be posted. Only applicable if this account is enrolled in a plan has a different currency than your site's default.

string

An id returned by Recurly.js referencing the result of the 3DS authentication for PSD2

boolean

The primary_payment_method field is used to designate the primary billing info on the account. The first billing info created on an account will always become primary. Adding additional billing infos provides the flexibility to mark another billing info as primary, or adding additional non-primary billing infos. This can be accomplished by passing the primary_payment_method field. When adding billing infos via the billing_info and /accounts endpoints, this value is not permitted, and will return an error if provided.

boolean

The backup_payment_method field is used to designate a billing info as a backup on the account that will be tried if initial billing_info used for the invoice fails. All payment methods, including the billing info marked primary_payment_method can be set as a backup. An account can have a maximum of 1 backup; if a user sets a different payment method as a backup, the existing backup will no longer be marked as such.

Responses

Language
Credentials
Basic
base64
:
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/xml